import {HttpClient} from "@angular/common/http";
import {inject, Injectable} from "@angular/core";
import {Observable} from "rxjs";
import {Hotel} from "../hotel/hotel";

@Injectable({
  providedIn: "root",
})
export class HotelService {
  private httpClient: HttpClient = inject(HttpClient);

  public getHotels(): Observable<Hotel[]> {
    return this.httpClient.get<Hotel[]>('/api/hotels');
  }
}
